package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.LongArticleAuditDelete;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface LongArticleAuditDeleteRepository extends JpaRepository<LongArticleAuditDelete, Long> {
    List<LongArticleAuditDelete> getByStatus(Integer status);

    List<LongArticleAuditDelete> getByPublishContentIdIn(List<String> publishContentIds);

    List<LongArticleAuditDelete> getByGhIdAndMsgIdIn(String ghId, List<String> msgIds);
}
