package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.LongArticleTitleAudit;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface LongArticleTitleAuditRepository extends JpaRepository<LongArticleTitleAudit, String> {

    LongArticleTitleAudit getByContentId(String contentId);

    List<LongArticleTitleAudit> getByStatus(Integer status);

    List<LongArticleTitleAudit> getByProducePlanIdIsNull();

    long countByAuditTimestampBetween(Long start, Long end);

    long countByStatusAndAuditTimestampBetween(Integer status, Long start, Long end);

    List<LongArticleTitleAudit> getByContentIdIn(List<String> sourceIds);

    List<LongArticleTitleAudit> getByAuditTimestampBetween(Long start, Long end);

    List<LongArticleTitleAudit> getByFlowPoolLevelIsNull();
}
