package com.tzld.longarticle.recommend.server.common.enums.longArticle;

import lombok.Getter;

@Getter
public enum ArticleVideoAuditStatusEnum {

    WAITING(0, "待审核"),
    PASS(1, "审核通过"),
    REJECT(2, "审核不通过"),
    ;

    private final int code;
    private final String msg;

    ArticleVideoAuditStatusEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ArticleVideoAuditStatusEnum getByCode(int code) {
        for (ArticleVideoAuditStatusEnum statusEnum : ArticleVideoAuditStatusEnum.values()) {
            if (statusEnum.getCode() == code) {
                return statusEnum;
            }
        }
        return null;
    }
}
