package com.tzld.longarticle.recommend.server.model.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * @author dyp
 */

@NoArgsConstructor
@Getter
@Setter
@AllArgsConstructor
public class Content {
    private String id;
    private Integer sourceType;
    private String sourceId;
    private String title;
    private String titleMd5;
    private String kimiSafeScore;
    private Long createTimestamp;
    private String producePlanName;
    private String contentPoolType; // 内容池类别
    private String crawlerChannelContentId; // 抓取内容channelContentId
    private List<String> category; // 品类
    private String crawlerLink;
    private String crawlerTitle;
    private String crawlerCoverUrl;
    private Integer crawlerViewCount;
    private Long crawlerTimestamp;
    private Long rootPublishTimestamp;
//    private Integer crawlerLikeCount;
//    private Long crawlerPublishTimestamp;
//    private String crawlerAccountName;
    private String filterReason;

    private List<ContentHisPublishArticle> hisPublishArticleList;
    private Double t0FissionByFansMean;
    private Double t0FissionByReadAvgMean;
    private Double t0FissionByReadAvgCorrelationMean;
    private Double t0FissionByFansSumAvg;
    private Double t0FissionByReadAvgSumAvg;
    private Double t0FissionDeWeightByReadAvgSumAvg;

    private Map<String, Double> scoreMap;
    private double score;
}

