package com.tzld.longarticle.recommend.server.model.entity.aigc;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "produce_review_record")
public class ProduceReviewRecord {

    @Id
    @Column(name = "record_id")
    private String recordId;
    @Column(name = "plan_exe_id")
    private String planExeId;
    @Column(name = "task_id")
    private String taskId;
    @Column(name = "review_type")
    private Integer reviewType;
    @Column(name = "review_status")
    private Integer reviewStatus;
    @Column(name = "review_account")
    private String reviewAccount;
    @Column(name = "create_timestamp")
    private Long createTimestamp;
    @Column(name = "review_timestamp")
    private Long reviewTimestamp;
    @Column(name = "review_count")
    private Integer reviewCount;

}