package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "article_title_his_cache")
@IdClass(ArticleTitleHisCache.PK.class)
public class ArticleTitleHisCache implements Serializable {

    @Id
    @Column(name = "source_id")
    private String sourceId;
    @Id
    @Column(name = "type")
    private String type;
    @Column(name = "title")
    private String title;
    @Column(name = "title_md5")
    private String titleMd5;
    @Column(name = "crawler_title")
    private String crawlerTitle;
    @Column(name = "kimi_safe_score")
    private String kimiSafeScore;
    @Column(name = "channel_content_id")
    private String channelContentId;
    @Column(name = "root_publish_timestamp")
    private Long rootPublishTimestamp;
    @Column(name = "category")
    private String category;
    @Column(name = "his_publish_article_list")
    private String hisPublishArticleList;
    @Column(name = "create_timestamp")
    private Long createTimestamp;
    @Column(name = "update_timestamp")
    private Long updateTimestamp;


    @Data
    public static class PK implements Serializable {

        @Column(name = "source_id")
        private String sourceId;
        @Column(name = "type")
        private String type;

        public PK() {
        }

    }
}
