package com.tzld.longarticle.recommend.server.model.vo;

import lombok.Data;

import java.util.List;

@Data
public class ArticleVideoAuditListVO {

    private String contentId;
    private String title;
    private String kimiTitle;
    private String flowPoolLevel;
    private Integer videoCount;
    private Integer waitingAuditVideoCount;
    private Integer status;
    private String auditAccount;
    private Long auditTimestamp;
    private List<VideoItem> videoList;

    @Data
    public static class VideoItem {
        private Long videoId;
        private String title;
        private String videoUrl;
        private String coverUrl;
        private Integer status;
        private String auditAccount;
        private Long auditTimestamp;
    }
}
