package com.tzld.longarticle.recommend.server.repository.aigc;

import com.tzld.longarticle.recommend.server.model.entity.aigc.ProducePlanExeRecord;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ProducePlanExeRecordRepository extends JpaRepository<ProducePlanExeRecord, String> {

    List<ProducePlanExeRecord> findByPlanExeIdIn(List<String> planExeIds);

    ProducePlanExeRecord getByPlanExeId(String contentId);
}